Bug 1293985 - [RFE] Test disconnected mode source in Section 3A
[RFE] Test disconnected mode source in Section 3A
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: WebUI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Erik Nelson
Tasos Papaioannou
: FutureFeature, Triaged
: 1306836 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-23 17:02 EST by Thom Carlin
Modified: 2016-08-12 16:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2015-12-23 17:02:44 EST
Description of enhancement:

For disconnected mode, test the Content Mirror URL to ensure it is accessible and provide an error message if not.

Version-Release number of selected component (if applicable):

TP2

Additional info:

Currently, the URL isn't tested until Section 4B which results in a potentially confusing error message and a sub-optimal UX.
Comment 1 Erik Nelson 2016-06-22 12:01:15 EDT
PR: https://github.com/fusor/fusor/pull/741

This was implemented and merged in March.
Comment 2 Tasos Papaioannou 2016-06-23 12:05:41 EDT
*** Bug 1306836 has been marked as a duplicate of this bug. ***
Comment 3 Thom Carlin 2016-06-24 09:32:31 EDT
"Content mirror verified" for http://<<sat6_fqdn>>/pub/sat-import
"Invalid content mirror" for https://<<sat6_fqdn>>/pub/sat-import if SSL certificate can't be verified.

Failed QA
Comment 4 Erik Nelson 2016-06-24 12:02:07 EDT
Switching this back to QA to scope this bz to non-self-signed content mirrors.
Separate RFE bug will be filed to support self-signed mirrors so it can be triaged.
Comment 5 Thom Carlin 2016-06-24 12:15:35 EDT
As agreed, moving to VERIFIED since the bz covers testing the URL.

Please note that non-self-signed SSL was not tested but should work.

Note You need to log in before you can comment on or make changes to this bug.